Exception::getLine
Exception::getTraceAsString
Exception
PHP Manual

# Exception::getTrace

(PHP 5 >= 5.1.0)

Exception::getTrace — Gibt den Stacktrace zurück

### Beschreibung

final public array Exception::getTrace ( void )

Gibt den Stacktrace der Exception zurück.

### Parameter-Liste

Diese Funktion hat keine Parameter.

### Rückgabewerte

Gibt den Stacktrace der Exception als Array zurück.

### Beispiele

Beispiel #1 Exception::getTrace()-Beispiel

`<?php
function test() {
throw new Exception;
}
try {
test();
} catch(Exception $e) {
var_dump($e->getTrace());
}
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    array(1) {
      [0]=>
      array(4) {
        ["file"]=>
        string(22) "/home/bjori/tmp/ex.php"
        ["line"]=>
        int(7)
        ["function"]=>
        string(4) "test"
        ["args"]=>
        array(0) {
        }
      }
    }

Exception::getLine
Exception::getTraceAsString
Exception
PHP Manual